Bug 533723 - Review Request: perl-Guard - Safe cleanup blocks
Summary: Review Request: perl-Guard - Safe cleanup blocks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: perl-Coro
TreeView+ depends on / blocked
 
Reported: 2009-11-08 19:21 UTC by Nicolas Chauvet (kwizart)
Modified: 2014-02-17 16:49 UTC (History)
4 users (show)

Fixed In Version: 1.021-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:24:26 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2009-11-08 19:21:07 UTC
Spec URL: http://kwizart.fedorapeople.org/review/perl-Guard.spec
SRPM URL: http://kwizart.fedorapeople.org/review/perl-Guard-1.021-1.fc12.src.rpm
Description: Safe cleanup blocks

Comment 1 Parag AN(पराग) 2009-11-10 06:24:26 UTC
Review:
+ package builds in mock (rawhide x86_64).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1797857
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a2e6ca5a8336add12c5a75cbd7408e14f62d2a77  Guard-1.021.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=33,  0 wallclock secs ( 0.03 usr  0.02 sys +  0.03 cusr  0.01 csys =  0.09 CPU)
+ Package perl-Guard-1.021-1.fc12.x86_64
Provides: Guard.so()(64bit) perl(Guard) = 1.021
Requires: libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) rtld(GNU_HASH)

APPROVED.

Comment 2 Nicolas Chauvet (kwizart) 2009-11-10 07:03:04 UTC
New Package CVS Request
=======================
Package Name: perl-Guard
Short Description: Safe cleanup blocks
Owners: kwizart
Branches: F-12 F-11 F-10 EL-5
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-11-11 03:49:57 UTC
cvs done.

Comment 4 Fedora Update System 2009-11-11 11:23:25 UTC
perl-Guard-1.021-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Guard-1.021-1.fc12

Comment 5 Fedora Update System 2009-11-11 11:24:10 UTC
perl-Guard-1.021-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Guard-1.021-1.fc11

Comment 6 Fedora Update System 2009-11-11 11:25:01 UTC
perl-Guard-1.021-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Guard-1.021-1.fc10

Comment 7 Fedora Update System 2009-11-11 11:25:30 UTC
perl-Guard-1.021-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Guard-1.021-1.el5

Comment 8 Fedora Update System 2009-11-11 17:22:10 UTC
perl-Guard-1.021-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Guard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0843

Comment 9 Fedora Update System 2009-11-12 00:53:34 UTC
perl-Guard-1.021-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Guard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11408

Comment 10 Fedora Update System 2009-11-12 00:53:39 UTC
perl-Guard-1.021-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Guard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11409

Comment 11 Fedora Update System 2009-11-12 00:55:21 UTC
perl-Guard-1.021-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Guard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11418

Comment 12 Fedora Update System 2009-11-18 22:57:36 UTC
perl-Guard-1.021-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Guard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0843

Comment 13 Fedora Update System 2009-11-20 05:24:21 UTC
perl-Guard-1.021-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-20 05:34:14 UTC
perl-Guard-1.021-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-11-20 05:36:33 UTC
perl-Guard-1.021-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-12-01 18:25:17 UTC
perl-Guard-1.021-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Paul Howarth 2014-02-17 16:18:10 UTC
Package Change Request
======================
Package Name: perl-Guard
New Branches: epel7
Owners: pghmcfc
InitialCC: perl-sig

Nicolas (kwizart) says:

 "Feel free to request the branch
  I'm notre interested un perl module anymore.
  So feel free to request acl on the Fedora package also."

Comment 18 Gwyn Ciesla 2014-02-17 16:49:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.